> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rivin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Walmart Product Price History

> This endpoint accepts a Walmart product code and returns an array of the buybox price history.

<Note>
  **Rate Limit**: This endpoint has a default rate limit of **10 products/second** per account. Need higher limits? [**Contact our support team**](https://cal.com/rivin-ai/30min) - we can accommodate any rate limit requirements on request.
</Note>

<Note>
  **Credit Cost**: This endpoint costs **15 credits** per successful request. Credits are only deducted when the API call succeeds and returns product data. Failed requests (errors, rate limits, etc.) do not consume credits.
</Note>

<RequestExample>
  ```bash Example walmart_product_code price history request theme={null}
  curl -X GET "http://rivin.ai/api/walmart/product/price-history?walmart_product_code=1370971228" \
    -H "Content-Type: application/json" \
    -H "x-api-key: (YOUR_API_KEY_HERE)"
  ```
</RequestExample>

<ResponseExample>
  ```successful response theme={null}
  {
  	"walmart_product_code":"46275738",
  	"priceHistory":
  		[
  			{"date":"2024-09-02T04:17:40Z","price":39.88},
  			{"date":"2024-10-21T04:13:26Z","price":48.39},
  			{"date":"2024-10-22T04:14:28Z","price":39.88},
  			{"date":"2024-11-18T04:22:31Z","price":37.16},
  			{"date":"2024-11-19T04:13:32Z","price":39.88},
  			{"date":"2024-12-30T21:09:02Z","price":70.78},
  			{"date":"2024-12-31T04:15:07Z","price":39.88},
  			{"date":"2025-04-07T04:17:04Z","price":35.99},
  			{"date":"2025-04-08T04:13:39Z","price":35.5},
  			{"date":"2025-04-09T04:18:39Z","price":39.88},
  			{"date":"2025-04-11T04:21:08Z","price":34.79},
  			{"date":"2025-04-12T04:14:05Z","price":39.88},
  			{"date":"2025-04-29T15:59:21Z","price":35.79},
  			{"date":"2025-04-30T04:17:41Z","price":39.88},
  			{"date":"2025-05-24T04:17:28Z","price":37},
  			{"date":"2025-05-25T04:18:08Z","price":39.88},
  			{"date":"2025-05-28T04:22:28Z","price":41.94},
  			{"date":"2025-06-07T10:09:50Z","price":38.25},
  			{"date":"2025-06-09T04:18:41Z","price":41.94},
  			{"date":"2025-06-19T04:18:57Z","price":37.51},
  			{"date":"2025-06-20T04:22:19Z","price":41.94},
  			{"date":"2025-08-26T19:12:23Z","price":34.99},
  			{"date":"2025-08-27T12:55:26Z","price":41.94}
  		]
  }
  ```
</ResponseExample>

<Note>
  This api/walmart/product/price-history endpoint **only tracks the Walmart buybox price and time** — not prices for each individual seller on a listing.

  [Rivin.ai](http://Rivin.ai) **periodically pulls prices for different products** depending on their **monthly sales volume**, with high-volume products tracked more frequently.

  If you need to **guarantee tracking** of a specific product (including prices per seller, inventory in stock per seller, and sales captured per seller), use our **/api/walmart/oversight** endpoints instead.
</Note>


## OpenAPI

````yaml GET /walmart/product/price-history
openapi: 3.1.0
info:
  title: Rivin.ai Walmart API
  description: >-
    API for retrieving Walmart product information, price history, and managing
    oversight tracking
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://rivin.ai/api
    description: Production API server
security: []
paths:
  /walmart/product/price-history:
    get:
      tags:
        - Walmart Products
      summary: Get Walmart Product Price History
      description: >-
        This endpoint accepts a Walmart product code and returns an array of the
        price history.
      operationId: getWalmartProductPriceHistory
      parameters:
        - name: x-api-key
          in: header
          description: >-
            Your unique API key for authentication. This key is required in the
            header of all API requests, to authenticate your account and access
            Rivin.ai's services. Get your API key through the
            [Settings](https://rivin.ai/settings) page.
          required: true
          schema:
            type: string
        - name: walmart_product_code
          in: query
          description: >-
            The (typically) 6-12 digit walmart product code that will be used to
            search Walmart's catalog.
          required: true
          schema:
            type: string
          example: '1370971228'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceHistory'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PriceHistory:
      type: object
      properties:
        upc:
          description: The 12-digit universal product code (upc).
          type: string
        ean:
          description: The 13-digit european article number(ean).
          type: string
        walmart_product_code:
          description: The (typically) 6-12 digit walmart product code.
          type: string
        price_history:
          description: Array of price history data
          type: array
          items:
            type: object
            properties:
              date:
                type: string
                format: date
              price:
                type: number
                format: float
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````